---
title: "Query returns"
description: >
  Query the corresponding return order details based on the provided return order ID or order ID.
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/return-order/query-returns'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/return-order/query-returns.md'
---
# Query returns

Query the corresponding return order details based on the provided return order ID or order ID.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_returns`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /return.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_returns`

## Request

### Query Parameters

* `id`

  string (optional)

  Return order ID. You must provide the return order ID, the order ID, or both. 

* `order_id`

  string (optional)

  Order ID. You must provide the return order ID, the order ID, or both. 

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `422`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `returns`

  array<object>

  A list of return order information.

  * `order_id`

    string

    The unique identifier for the order. 

  * `return_line_items`

    array<object>

    A list of details for refunded products. 

    * `id`

      string

      Return product line number.

    * `quantity`

      integer

      The number of products in the return order.

    * `return_reason`

      string

       The return reasons for the product line. Valid values are:  
       - `COLOR`: Incorrect color.
       - `DEFECTIVE`: Product is damaged or defective.
       - `NOT_AS_DESCRIBED`: Product does not match the description.
       - `OTHER`: Other reasons.
       - `SIZE_TOO_LARGE`: Size is too large.
       - `SIZE_TOO_SMALL`: Size is too small.
       - `STYLE`: Issues with the style.
       - `UNWANTED`: Customer changed their mind.
       - `WRONG_ITEM`: Received the wrong item.

    * `return_reason_note`

      string

      Detailed notes on the reason for the return of the product.

    * `fulfillment_id`

      string

      The unique identifier for the shipment order associated with the return order. 

    * `fulfillment_line_item`

      object

      Shipping message for return list association.

      * `line_item`

        object

        Invoice product line information.

      * `quantity`

        integer

        The quantity of products corresponding to the fulfillment shipment.

  * `return_reason`

    string

    The reason for the return of the product.

  * `status`

    string

    Return order status.
    - `OPEN`: returning
    - `CLOSED`: return and refund completed

  * `created_at`

    string

    The date and time when the return order was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).
    
    Example: `2024-08-31T02:20:26+08:00`

  * `id`

    string

    The unique identifier for the return order.   


#### 401

* `errors`

  string

  Error message. 


#### 422

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Query the corresponding return order details based on the provided return order ID or order ID.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_returns` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "sX0zNgma",
  "parameters": [
    {
      "name": "id",
      "in": "query",
      "description": "Return order ID. You must provide the return order ID, the order ID, or both. ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "id",
        "description": "Return order ID. You must provide the return order ID, the order ID, or both. ",
        "type": "string",
        "example": "2605860580357012238342"
      },
      "example": "2605860580357012238342",
      "examples": {
        "Query by specified order ID.": {
          "value": "2605860580357012238342"
        }
      }
    },
    {
      "name": "order_id",
      "in": "query",
      "description": "Order ID. You must provide the return order ID, the order ID, or both. ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "order_id",
        "description": "Order ID. You must provide the return order ID, the order ID, or both. ",
        "type": "string",
        "example": "21058605762597644309430942"
      },
      "example": "21058605762597644309430942",
      "examples": {
        "Query by specified order ID.": {
          "value": "21056723668607440019421941"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "returns": {
                "name": "returns",
                "description": "A list of return order information.",
                "type": "array",
                "items": {
                  "name": "returns",
                  "description": "A list of return order information.",
                  "type": "object",
                  "properties": {
                    "order_id": {
                      "name": "order_id",
                      "description": "The unique identifier for the order. ",
                      "type": "string",
                      "example": "21058605762597644309430942"
                    },
                    "return_line_items": {
                      "name": "return_line_items",
                      "description": "A list of details for refunded products. ",
                      "type": "array",
                      "items": {
                        "name": "return_line_items",
                        "description": "A list of details for refunded products. ",
                        "type": "object",
                        "properties": {
                          "id": {
                            "name": "id",
                            "description": "Return product line number.",
                            "type": "string",
                            "example": "RDP5860580372212396041"
                          },
                          "quantity": {
                            "name": "quantity",
                            "description": "The number of products in the return order.",
                            "type": "integer",
                            "example": 20
                          },
                          "return_reason": {
                            "name": "return_reason",
                            "description": " The return reasons for the product line. Valid values are:  \n - `COLOR`: Incorrect color.\n - `DEFECTIVE`: Product is damaged or defective.\n - `NOT_AS_DESCRIBED`: Product does not match the description.\n - `OTHER`: Other reasons.\n - `SIZE_TOO_LARGE`: Size is too large.\n - `SIZE_TOO_SMALL`: Size is too small.\n - `STYLE`: Issues with the style.\n - `UNWANTED`: Customer changed their mind.\n - `WRONG_ITEM`: Received the wrong item.",
                            "type": "string",
                            "example": "NOT_AS_DESCRIBED"
                          },
                          "return_reason_note": {
                            "name": "return_reason_note",
                            "description": "Detailed notes on the reason for the return of the product.",
                            "type": "string",
                            "example": "Product does not match the description"
                          },
                          "fulfillment_id": {
                            "name": "fulfillment_id",
                            "description": "The unique identifier for the shipment order associated with the return order. ",
                            "type": "string",
                            "example": "RPP5873267430525507606"
                          },
                          "fulfillment_line_item": {
                            "name": "fulfillment_line_item",
                            "description": "Shipping message for return list association.",
                            "type": "object",
                            "properties": {
                              "line_item": {
                                "name": "line_item",
                                "description": "Invoice product line information.",
                                "type": "object",
                                "properties": {
                                  "tags": {
                                    "name": "tags",
                                    "description": "Product tag, separated by commas when there are multiple.",
                                    "type": "string",
                                    "example": "sales"
                                  },
                                  "image_url": {
                                    "name": "image_url",
                                    "description": "Link to the image of the returned product.",
                                    "type": "string",
                                    "example": "https://image.shopline.com/abc.jpg"
                                  },
                                  "price": {
                                    "name": "price",
                                    "description": "Product selling price, product detail page sale price.",
                                    "type": "string",
                                    "example": "100.0"
                                  },
                                  "grams": {
                                    "name": "grams",
                                    "description": "Product weight in grams.",
                                    "type": "double",
                                    "example": 1
                                  },
                                  "vendor": {
                                    "name": "vendor",
                                    "description": "Product supplier.",
                                    "type": "string",
                                    "example": "Product supplier"
                                  },
                                  "requires_shipping": {
                                    "name": "requires_shipping",
                                    "description": "Indicates whether the product is subject to shipping.  \n- `true`：Shipping is required.  \n- `false`：Shipping is not required.",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "product_id": {
                                    "name": "product_id",
                                    "description": "SPU serial number.",
                                    "type": "string",
                                    "example": "16056898121352174690861487"
                                  },
                                  "sku": {
                                    "name": "sku",
                                    "description": "Product SKU serial number.",
                                    "type": "string",
                                    "example": "SKU1234"
                                  },
                                  "location_id": {
                                    "name": "location_id",
                                    "description": "Local delivery location number or standard delivery location number.",
                                    "type": "string",
                                    "example": "5327026538935748524"
                                  },
                                  "fulfillable_quantity": {
                                    "name": "fulfillable_quantity",
                                    "description": "Remaining fulfillable quantity at product line level.",
                                    "type": "integer",
                                    "example": 20
                                  },
                                  "fulfillment_status": {
                                    "name": "fulfillment_status",
                                    "description": "Product delivery status. Valid values are: \n- `fulfilled`: shipped  \n- `partia`: partially shipped  \n- `null`: not shipped",
                                    "type": "string",
                                    "example": "fulfilled"
                                  },
                                  "variant_id": {
                                    "name": "variant_id",
                                    "description": "The SKU of the product. The unique identifier for the product style.",
                                    "type": "string",
                                    "example": "18056898121355865678441487"
                                  },
                                  "attribute": {
                                    "name": "attribute",
                                    "description": "Product attribute information: name-attribute value. When there are multiple attribute values, they are separated by commas. For example, `Color-Red, Size-L`.",
                                    "type": "string",
                                    "example": "Color-Red, Size-L"
                                  },
                                  "quantity": {
                                    "name": "quantity",
                                    "description": "The quantity of products that need to be shipped.",
                                    "type": "integer",
                                    "example": 20
                                  },
                                  "taxable": {
                                    "name": "taxable",
                                    "description": "Indicates whether the product is taxable.\n- `true`：taxable\n- `false`：not taxable",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "title": {
                                    "name": "title",
                                    "description": "The title of the product.",
                                    "type": "string",
                                    "example": "It's good Product"
                                  },
                                  "id": {
                                    "name": "id",
                                    "description": "Product line ID.",
                                    "type": "string",
                                    "example": "405"
                                  },
                                  "tax_lines": {
                                    "name": "tax_lines",
                                    "description": "The returned product tax information. ",
                                    "type": "array",
                                    "items": {
                                      "name": "tax_lines",
                                      "description": "The returned product tax information. ",
                                      "type": "object",
                                      "properties": {
                                        "price": {
                                          "name": "price",
                                          "description": "The tax amount.",
                                          "type": "string",
                                          "example": "18.00"
                                        },
                                        "price_set": {
                                          "name": "price_set",
                                          "description": "Tax amount measured in store currency and transaction currency.",
                                          "type": "object",
                                          "properties": {
                                            "presentment_money": {
                                              "name": "presentment_money",
                                              "description": "Buyer side currency amount information.",
                                              "type": "object",
                                              "properties": {
                                                "currency_code": {
                                                  "name": "currency_code",
                                                  "description": "The transaction currency. The value of this parameter is a three-letter currency code that follows the  [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.",
                                                  "type": "string",
                                                  "example": "USD"
                                                },
                                                "amount": {
                                                  "name": "amount",
                                                  "description": "Tax amount in the transaction currency.",
                                                  "type": "string",
                                                  "example": "18.00"
                                                }
                                              },
                                              "example": {
                                                "amount": "18.00",
                                                "currency_code": "USD"
                                              }
                                            },
                                            "shop_money": {
                                              "name": "shop_money",
                                              "description": "Store currency amount information.",
                                              "type": "object",
                                              "properties": {
                                                "currency_code": {
                                                  "name": "currency_code",
                                                  "description": "The shop currency. The value of this parameter is a three-letter currency code that follows the  [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.\n",
                                                  "type": "string",
                                                  "example": "USD"
                                                },
                                                "amount": {
                                                  "name": "amount",
                                                  "description": "Tax amount in the shop currency.",
                                                  "type": "string",
                                                  "example": "18.00"
                                                }
                                              },
                                              "example": {
                                                "amount": "18.00",
                                                "currency_code": "USD"
                                              }
                                            }
                                          },
                                          "example": {
                                            "presentment_money": {
                                              "currency_code": "USD",
                                              "amount": "18.00"
                                            },
                                            "shop_money": {
                                              "currency_code": "USD",
                                              "amount": "18.00"
                                            }
                                          }
                                        },
                                        "rate": {
                                          "name": "rate",
                                          "description": "The tax rate, for display only. ",
                                          "type": "double",
                                          "example": 0.02
                                        },
                                        "title": {
                                          "name": "title",
                                          "description": "The tax description title, display only. ",
                                          "type": "string",
                                          "example": "CNMP"
                                        }
                                      },
                                      "example": {
                                        "price": "18.00",
                                        "price_set": {
                                          "presentment_money": {
                                            "currency_code": "USD",
                                            "amount": "18.00"
                                          },
                                          "shop_money": {
                                            "amount": "18.00",
                                            "currency_code": "USD"
                                          }
                                        },
                                        "rate": 0.02,
                                        "title": "CNMP"
                                      }
                                    },
                                    "example": [
                                      {
                                        "title": "CNMP",
                                        "price": "18.00",
                                        "price_set": {
                                          "presentment_money": {
                                            "currency_code": "USD",
                                            "amount": "18.00"
                                          },
                                          "shop_money": {
                                            "amount": "18.00",
                                            "currency_code": "USD"
                                          }
                                        },
                                        "rate": 0.02
                                      }
                                    ]
                                  },
                                  "variant_title": {
                                    "name": "variant_title",
                                    "description": "Product attribute value, multiple divided by \" / \".",
                                    "type": "string",
                                    "example": "L/Red"
                                  },
                                  "gift_card": {
                                    "name": "gift_card",
                                    "description": "Indicates whether the product is a gift card item.  \n- `true`：gift card item  \n- `false`：not a gift card item",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "name": {
                                    "name": "name",
                                    "description": "SKU title, same as `title`.",
                                    "type": "string",
                                    "example": "It's good Product"
                                  },
                                  "fulfillment_service": {
                                    "name": "fulfillment_service",
                                    "description": "Logistics company name.",
                                    "type": "string",
                                    "example": "Sf international"
                                  },
                                  "properties": {
                                    "name": "properties",
                                    "description": "Product customization information.",
                                    "type": "array",
                                    "items": {
                                      "name": "properties",
                                      "description": "Product customization information.",
                                      "type": "object",
                                      "properties": {
                                        "name": {
                                          "name": "name",
                                          "description": "Product customization information name.",
                                          "type": "string",
                                          "example": "Text"
                                        },
                                        "type": {
                                          "name": "type",
                                          "description": "Custom information type. Valid values are: \n- `text`: text\n- `picture`: picture\n- `link`: hyperlink",
                                          "type": "string",
                                          "example": "text"
                                        },
                                        "urls": {
                                          "name": "urls",
                                          "description": "Product customization information link.",
                                          "type": "array",
                                          "items": {
                                            "name": "urls",
                                            "description": "Product customization information link.",
                                            "type": "string",
                                            "example": "https://image.shopline.com"
                                          },
                                          "example": [
                                            "https://image.shopline.com"
                                          ]
                                        },
                                        "value": {
                                          "name": "value",
                                          "description": "Product customization information content.",
                                          "type": "string",
                                          "example": "Freedom"
                                        }
                                      },
                                      "example": {
                                        "name": "Text",
                                        "type": "text",
                                        "urls": [
                                          "https://image.shopline.com"
                                        ],
                                        "value": "Freedom"
                                      }
                                    },
                                    "example": [
                                      {
                                        "type": "text",
                                        "urls": [
                                          "https://image.shopline.com"
                                        ],
                                        "value": "Freedom",
                                        "name": "Text"
                                      }
                                    ]
                                  }
                                },
                                "example": {
                                  "id": "405",
                                  "attribute": "Color-Red, Size-L",
                                  "tags": "sales",
                                  "fulfillable_quantity": 20,
                                  "product_id": "16056898121352174690861487",
                                  "properties": [
                                    {
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ],
                                      "value": "Freedom",
                                      "name": "Text"
                                    }
                                  ],
                                  "requires_shipping": true,
                                  "sku": "SKU1234",
                                  "vendor": "Product supplier",
                                  "quantity": 20,
                                  "fulfillment_service": "Sf international",
                                  "taxable": true,
                                  "location_id": "5327026538935748524",
                                  "variant_id": "18056898121355865678441487",
                                  "fulfillment_status": "fulfilled",
                                  "price": "100.0",
                                  "tax_lines": [
                                    {
                                      "price_set": {
                                        "presentment_money": {
                                          "currency_code": "USD",
                                          "amount": "18.00"
                                        },
                                        "shop_money": {
                                          "currency_code": "USD",
                                          "amount": "18.00"
                                        }
                                      },
                                      "rate": 0.02,
                                      "title": "CNMP",
                                      "price": "18.00"
                                    }
                                  ],
                                  "title": "It's good Product",
                                  "gift_card": true,
                                  "name": "It's good Product",
                                  "variant_title": "L/Red",
                                  "grams": 1,
                                  "image_url": "https://image.shopline.com/abc.jpg"
                                }
                              },
                              "quantity": {
                                "name": "quantity",
                                "description": "The quantity of products corresponding to the fulfillment shipment.",
                                "type": "integer",
                                "example": 20
                              }
                            },
                            "example": {
                              "line_item": {
                                "gift_card": true,
                                "location_id": "5327026538935748524",
                                "product_id": "16056898121352174690861487",
                                "quantity": 20,
                                "attribute": "Color-Red, Size-L",
                                "price": "100.0",
                                "variant_id": "18056898121355865678441487",
                                "variant_title": "L/Red",
                                "tax_lines": [
                                  {
                                    "price": "18.00",
                                    "price_set": {
                                      "presentment_money": {
                                        "amount": "18.00",
                                        "currency_code": "USD"
                                      },
                                      "shop_money": {
                                        "currency_code": "USD",
                                        "amount": "18.00"
                                      }
                                    },
                                    "rate": 0.02,
                                    "title": "CNMP"
                                  }
                                ],
                                "sku": "SKU1234",
                                "tags": "sales",
                                "title": "It's good Product",
                                "vendor": "Product supplier",
                                "fulfillment_service": "Sf international",
                                "properties": [
                                  {
                                    "name": "Text",
                                    "type": "text",
                                    "urls": [
                                      "https://image.shopline.com"
                                    ],
                                    "value": "Freedom"
                                  }
                                ],
                                "fulfillment_status": "fulfilled",
                                "id": "405",
                                "image_url": "https://image.shopline.com/abc.jpg",
                                "fulfillable_quantity": 20,
                                "name": "It's good Product",
                                "requires_shipping": true,
                                "taxable": true,
                                "grams": 1
                              },
                              "quantity": 20
                            }
                          }
                        },
                        "example": {
                          "return_reason_note": "Product does not match the description",
                          "fulfillment_id": "RPP5873267430525507606",
                          "fulfillment_line_item": {
                            "line_item": {
                              "tags": "sales",
                              "gift_card": true,
                              "tax_lines": [
                                {
                                  "price_set": {
                                    "shop_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    },
                                    "presentment_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "rate": 0.02,
                                  "title": "CNMP",
                                  "price": "18.00"
                                }
                              ],
                              "requires_shipping": true,
                              "properties": [
                                {
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "Freedom",
                                  "name": "Text",
                                  "type": "text"
                                }
                              ],
                              "fulfillment_service": "Sf international",
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "variant_id": "18056898121355865678441487",
                              "grams": 1,
                              "id": "405",
                              "taxable": true,
                              "product_id": "16056898121352174690861487",
                              "name": "It's good Product",
                              "vendor": "Product supplier",
                              "fulfillable_quantity": 20,
                              "sku": "SKU1234",
                              "fulfillment_status": "fulfilled",
                              "price": "100.0",
                              "variant_title": "L/Red",
                              "attribute": "Color-Red, Size-L",
                              "title": "It's good Product",
                              "location_id": "5327026538935748524",
                              "quantity": 20
                            },
                            "quantity": 20
                          },
                          "id": "RDP5860580372212396041",
                          "quantity": 20,
                          "return_reason": "NOT_AS_DESCRIBED"
                        }
                      },
                      "example": [
                        {
                          "id": "RDP5860580372212396041",
                          "quantity": 20,
                          "return_reason": "NOT_AS_DESCRIBED",
                          "return_reason_note": "Product does not match the description",
                          "fulfillment_id": "RPP5873267430525507606",
                          "fulfillment_line_item": {
                            "line_item": {
                              "price": "100.0",
                              "title": "It's good Product",
                              "variant_id": "18056898121355865678441487",
                              "fulfillment_service": "Sf international",
                              "properties": [
                                {
                                  "type": "text",
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "Freedom",
                                  "name": "Text"
                                }
                              ],
                              "quantity": 20,
                              "tax_lines": [
                                {
                                  "price_set": {
                                    "presentment_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    },
                                    "shop_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "rate": 0.02,
                                  "title": "CNMP",
                                  "price": "18.00"
                                }
                              ],
                              "id": "405",
                              "variant_title": "L/Red",
                              "attribute": "Color-Red, Size-L",
                              "fulfillment_status": "fulfilled",
                              "vendor": "Product supplier",
                              "sku": "SKU1234",
                              "tags": "sales",
                              "name": "It's good Product",
                              "taxable": true,
                              "fulfillable_quantity": 20,
                              "location_id": "5327026538935748524",
                              "product_id": "16056898121352174690861487",
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "gift_card": true,
                              "grams": 1,
                              "requires_shipping": true
                            },
                            "quantity": 20
                          }
                        }
                      ]
                    },
                    "return_reason": {
                      "name": "return_reason",
                      "description": "The reason for the return of the product.",
                      "type": "string",
                      "example": "Reason"
                    },
                    "status": {
                      "name": "status",
                      "description": "Return order status.\n- `OPEN`: returning\n- `CLOSED`: return and refund completed",
                      "type": "string",
                      "example": "OPEN"
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "The date and time when the return order was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).\n\nExample: `2024-08-31T02:20:26+08:00`",
                      "type": "string",
                      "example": "2021-08-31T02:20:26+08:00"
                    },
                    "id": {
                      "name": "id",
                      "description": "The unique identifier for the return order.   ",
                      "type": "string",
                      "example": "2605860580357012238342"
                    }
                  },
                  "example": {
                    "return_line_items": [
                      {
                        "quantity": 20,
                        "return_reason": "NOT_AS_DESCRIBED",
                        "return_reason_note": "Product does not match the description",
                        "fulfillment_id": "RPP5873267430525507606",
                        "fulfillment_line_item": {
                          "line_item": {
                            "vendor": "Product supplier",
                            "properties": [
                              {
                                "name": "Text",
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom"
                              }
                            ],
                            "sku": "SKU1234",
                            "taxable": true,
                            "attribute": "Color-Red, Size-L",
                            "fulfillable_quantity": 20,
                            "variant_id": "18056898121355865678441487",
                            "variant_title": "L/Red",
                            "tax_lines": [
                              {
                                "price": "18.00",
                                "price_set": {
                                  "shop_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  },
                                  "presentment_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 0.02,
                                "title": "CNMP"
                              }
                            ],
                            "tags": "sales",
                            "id": "405",
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "price": "100.0",
                            "name": "It's good Product",
                            "requires_shipping": true,
                            "gift_card": true,
                            "quantity": 20,
                            "fulfillment_status": "fulfilled",
                            "product_id": "16056898121352174690861487",
                            "fulfillment_service": "Sf international",
                            "grams": 1,
                            "location_id": "5327026538935748524",
                            "title": "It's good Product"
                          },
                          "quantity": 20
                        },
                        "id": "RDP5860580372212396041"
                      }
                    ],
                    "return_reason": "Reason",
                    "status": "OPEN",
                    "created_at": "2021-08-31T02:20:26+08:00",
                    "id": "2605860580357012238342",
                    "order_id": "21058605762597644309430942"
                  }
                },
                "example": [
                  {
                    "status": "OPEN",
                    "created_at": "2021-08-31T02:20:26+08:00",
                    "id": "2605860580357012238342",
                    "order_id": "21058605762597644309430942",
                    "return_line_items": [
                      {
                        "fulfillment_id": "RPP5873267430525507606",
                        "fulfillment_line_item": {
                          "quantity": 20,
                          "line_item": {
                            "grams": 1,
                            "taxable": true,
                            "product_id": "16056898121352174690861487",
                            "requires_shipping": true,
                            "properties": [
                              {
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom",
                                "name": "Text"
                              }
                            ],
                            "attribute": "Color-Red, Size-L",
                            "quantity": 20,
                            "variant_title": "L/Red",
                            "variant_id": "18056898121355865678441487",
                            "vendor": "Product supplier",
                            "location_id": "5327026538935748524",
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "price": "100.0",
                            "gift_card": true,
                            "sku": "SKU1234",
                            "fulfillment_service": "Sf international",
                            "name": "It's good Product",
                            "tags": "sales",
                            "tax_lines": [
                              {
                                "price_set": {
                                  "shop_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  },
                                  "presentment_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 0.02,
                                "title": "CNMP",
                                "price": "18.00"
                              }
                            ],
                            "fulfillable_quantity": 20,
                            "title": "It's good Product",
                            "id": "405",
                            "fulfillment_status": "fulfilled"
                          }
                        },
                        "id": "RDP5860580372212396041",
                        "quantity": 20,
                        "return_reason": "NOT_AS_DESCRIBED",
                        "return_reason_note": "Product does not match the description"
                      }
                    ],
                    "return_reason": "Reason"
                  }
                ]
              }
            },
            "example": {
              "returns": [
                {
                  "id": "2605860580357012238342",
                  "order_id": "21058605762597644309430942",
                  "return_line_items": [
                    {
                      "id": "RDP5860580372212396041",
                      "quantity": 20,
                      "return_reason": "NOT_AS_DESCRIBED",
                      "return_reason_note": "Product does not match the description",
                      "fulfillment_id": "RPP5873267430525507606",
                      "fulfillment_line_item": {
                        "line_item": {
                          "gift_card": true,
                          "id": "405",
                          "tax_lines": [
                            {
                              "rate": 0.02,
                              "title": "CNMP",
                              "price": "18.00",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "18.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "18.00",
                                  "currency_code": "USD"
                                }
                              }
                            }
                          ],
                          "variant_id": "18056898121355865678441487",
                          "image_url": "https://image.shopline.com/abc.jpg",
                          "properties": [
                            {
                              "name": "Text",
                              "type": "text",
                              "urls": [
                                "https://image.shopline.com"
                              ],
                              "value": "Freedom"
                            }
                          ],
                          "title": "It's good Product",
                          "variant_title": "L/Red",
                          "attribute": "Color-Red, Size-L",
                          "fulfillment_status": "fulfilled",
                          "quantity": 20,
                          "tags": "sales",
                          "sku": "SKU1234",
                          "fulfillment_service": "Sf international",
                          "product_id": "16056898121352174690861487",
                          "grams": 1,
                          "name": "It's good Product",
                          "price": "100.0",
                          "requires_shipping": true,
                          "vendor": "Product supplier",
                          "location_id": "5327026538935748524",
                          "fulfillable_quantity": 20,
                          "taxable": true
                        },
                        "quantity": 20
                      }
                    }
                  ],
                  "return_reason": "Reason",
                  "status": "OPEN",
                  "created_at": "2021-08-31T02:20:26+08:00"
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "422": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "name": "errors",
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          },
          "examples": {
            "Query by specified order ID.": {
              "description": "Query by specified order ID.",
              "value": {
                "returns": [
                  {
                    "created_at": "2022-11-14T02:06:13-10:00",
                    "id": "2605672367742487366663",
                    "order_id": "21056723668607440019421941",
                    "return_line_items": [
                      {
                        "id": "RDP5672367743594666094",
                        "quantity": 1,
                        "return_reason": null,
                        "return_reason_note": null,
                        "fulfillment_id": "22056723668675555553461941",
                        "fulfillment_line_item": {
                          "quantity": null,
                          "line_item": {
                            "image_url": "https://d2n979dmt31clo.cloudfront.net/image/store/3300003215/219/c0df9e7387914f97a9739514269d29c4.jpeg?w=395&h=263,https://d2n979dmt31clo.cloudfront.net/image/store/3300003215/219/49bde8461ca648ab966be7505f6cf2f4.jpeg?w=500&h=375",
                            "variant_title": " YELLOW",
                            "fulfillable_quantity": 0,
                            "fulfillment_status": "null",
                            "gift_card": false,
                            "tags": "",
                            "tax_lines": [
                              {
                                "price": "6.05",
                                "price_set": {
                                  "presentment_money": {
                                    "currency_code": "USD",
                                    "amount": "6.05"
                                  },
                                  "shop_money": {
                                    "amount": "6.05",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 0.0466,
                                "title": "product_tax"
                              }
                            ],
                            "attribute": "Color -  YELLOW",
                            "grams": 900,
                            "requires_shipping": false,
                            "name": "Goods that do not require transportation",
                            "variant_id": "18056054853543945916883534",
                            "fulfillment_service": "",
                            "price": "129.89",
                            "sku": "Test202009252002010",
                            "properties": [],
                            "taxable": true,
                            "product_id": "16056054853539919384943534",
                            "vendor": null,
                            "id": "387",
                            "location_id": null,
                            "title": "Goods that do not require transportation",
                            "quantity": 1
                          }
                        }
                      }
                    ],
                    "return_reason": null,
                    "status": "CLOSED"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/return.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query returns",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_returns"
  ]
}
```